# Xapian::FeatureUnavailableError Class Reference

Indicates an attempt to use a feature which is unavailable. More...

Inheritance diagram for Xapian::FeatureUnavailableError:

[legend]
List of all members.

## Public Member Functions

| FeatureUnavailableError (const std::string &msg_, const std::string &context_="", int errno_=0)
| General purpose constructor which allows setting errno.
| FeatureUnavailableError (const std::string &msg_, int errno_)
| Construct from message and errno value.

## Detailed Description

Indicates an attempt to use a feature which is unavailable.

Typically a feature is unavailable because it wasn't compiled in, or because it requires other software or facilities which aren't available.

## Constructor & Destructor Documentation

Xapian::FeatureUnavailableError::FeatureUnavailableError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `""`,
|  | int | errno_ = `0` |
| ) |  |  | `[inline, explicit]`

General purpose constructor which allows setting errno.

Xapian::FeatureUnavailableError::FeatureUnavailableError | ( | const std::string & | msg_,
|  | int | errno_ |
| ) |  |  | `[inline]`

Construct from message and errno value.

The documentation for this class was generated from the following file:

- xapian/error.h